<!DOCTYPE html>
<html>
  <head>
    <title>Terminal Output</title>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/socket.io/4.2.0/socket.io.min.js"></script>
  </head>
  <style>
    .wrapper {
        display: flex;
        justify-content: center;
        gap: 2rem;
        margin-top: 2rem;
        font-family:'Trebuchet MS', 'Lucida Sans Unicode', 'Lucida Grande', 'Lucida Sans', Arial, sans-serif;
    }  
    div#console-output-wrapper{
        background: #000;
        color: aliceblue;
        font-family: 'Courier New', Courier, monospace;
        padding: 10px;
        width: 800px;
        height: 600px;
        overflow-x: hidden;
        overflow-y: scroll;
        /* overflow: scroll; */
        border-radius: 10px;
    }

    .loading-animation {
        display: inline-block;
        width: 20px;
        height: 20px;
        border-radius: 50%;
        border: 2px solid #ccc;
        border-top-color: #333;
        animation: spin 0.8s linear infinite;
      }

      @keyframes spin {
        to {
          transform: rotate(360deg);
        }
      }
  </style>
  <body>

    <div class="wrapper">
        <div>
            <img src="/img/comtech_banner_logo.png" width="500px">
            <h1 style="text-align: center;"> Initializing Comtech JOM...</h1>
            <p style="text-align: center;"> Software Engineer: <a href="https://jerryclarkc.site" target="_blank">Dodong</a></p>

        </div>
        <!-- TERMINAL OUTPUT -->
        <div id="console-output-wrapper">
          <div id="console-output">
            
          </div>
        </div>
    </div>


    <script>
      const socket = io();
      const consoleOutput = document.getElementById('console-output');
      const consoleOutputWrapper = document.getElementById('console-output-wrapper');
      


      const loadingAnimation = document.createElement('span');
      loadingAnimation.className = 'loading-animation';


      
      // mian function for loggin in the terminal
      socket.on('consoleLog', (message) => {

        if(message == 'done'){
          console.log('reached done')
          document.getElementsByClassName('loading-animation')[0].style.display = 'none';
        } else {
          consoleOutput.innerHTML += '<p>' + message + '</p>';
          consoleOutputWrapper.scrollTop = consoleOutput.scrollHeight;
        }
      });

      consoleOutputWrapper.appendChild(loadingAnimation);


      // Trigger the syncToAtlas function when the page loads
      socket.emit('syncToAtlas');
    </script>
  </body>
</html>

